### Virtual Method

# Ide WorkspaceAddin unload

#### Declaration

    void
    unload (
      IdeWorkspaceAddin* self,
      IdeWorkspace* workspace
    )

#### Description

Unloads the `IdeWorkspaceAddin`.

This is a good place to unmodify the workspace from anything you did in ide_workspace_addin_load().

Available since: | 3.32

#### Parameters

`workspace` | `IdeWorkspace`
| No description available.
| The data is owned by the caller of the function.